<?xml version="1.0" encoding="UTF-8"?>
<domain-models xmlns="http://axelor.com/xml/ns/domain-models"
	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://axelor.com/xml/ns/domain-models http://axelor.com/xml/ns/domain-models/domain-models_5.2.xsd">

	<module name="purchase" package="com.axelor.apps.purchase.db"/>

	<sequence name="importation.seq" initial="1" increment="1" padding="5" prefix="DOSIMP"/>

	<entity name="ImportationFolder" sequential="true" lang="java">
		<string name="name" sequence="importation.seq" title="Ref."/>
		<integer name="statusSelect" selection="purchase.importation.folder.status.select" readonly="true" default="1" />
		<one-to-many name="purchaseOrderList" ref="PurchaseOrder" mappedBy="importationFolder" title="Purchase order"/>
		<many-to-one name="forwardingPartner" ref="com.axelor.apps.base.db.Partner" required="true" title="Forwarding Partner"/>
		<many-to-one name="supplierPartner" ref="com.axelor.apps.base.db.Partner" required="true" title="Supplier"/>
		<string name="containerNumber" title="Number Container."/>
		<date name="boardingDate" title="DATE D'EMBARQUEMENT"/>
		<date name="arrivalGoodiDate" title="Arrival goods"/>
		<date name="arrivalDocDate" title="Arrival Documents"/>
		<date name="invoiceDirectDebitDate" title="Invoice direct debit"/>
		<date name="folderReceptionDate" title="Folder reception date"/>
		<date name="arrivalNoticeDate" title="Arrival notice date"/>
		<date name="d_10_date" title="Date D10"/>
		<many-to-one name="currency" ref="com.axelor.apps.base.db.Currency" title="Currency"/>
		<integer name="valorisation" title="Valorisation Type" selection="importation.folder.valorisation.type.select" />
		<integer name="progress" title="Progress %" min="0" max="100" />
		<integer name="orderByState"/>

		<decimal name="amount" precision="20" scale="4"/>
		<decimal name="taxAmount" precision="20" scale="4"/>
		<decimal name="totalAmount" precision="20" scale="2"/>

		<!-- Notes -->
		<string name="notes" large="true" multiline="true" title="Description To Display"/>
		<string name="internalNote" large="true" multiline="true" title="Internal Note"/>

		<!-- <many-to-one name="shipmentMode" ref="com.axelor.apps.stock.db.ShipmentMode"/> -->
		<!-- <many-to-one name="transportMode" ref="com.axelor.apps.stock.db.FreightCarrierMode" required="true" title="Transport Mode"/> -->

		<date name="transmissionPoToSupplier" title="Date transmission BC au fournisseur" />
		<string name="priority" selection="purchase.importation.folder.priority.select" default="1" />
		<string name="label" title="libelle" />
		<date name="estimdatedBoardingDate" title="DATE D'EMBARQUEMENT PREVU" />
		<date name="liquidation_date" title="DATE DE LIQUIDATION" />
		<date name="reception_sophal_date" title="ARRIVEE SOPHAL" />
		<date name="reception_magasin_date" title="RECEPTION MAGASIN SOPHAL" />
		<date name="transmission_dg_date" title="Date transmission a la DG" />

		<date name="delivery_date" title="DATE DE LIVRAISON PREVU" />

		<boolean name="reception_magasin_status" title="Reception Magasin Statut" />

		<extra-code>
			<![CDATA[
   		  /** Static importation folder status select */
		  public static final int STATUS_DRAFT = 1;
		  public static final int STATUS_OPEND = 2;
		  public static final int STATUS_CLOSED = 3;
		  public static final int STATUS_CANCELED = 4;	
   		]]>
		</extra-code>


		<!-- end sophal -->


	</entity>

</domain-models>
